summaryrefslogtreecommitdiff
path: root/localbuild
diff options
context:
space:
mode:
authorroot <root@jones.dk>2009-02-14 12:23:28 +0100
committerroot <root@jones.dk>2009-02-14 12:23:28 +0100
commit2e3e2dce9d8adbc5581965bb776dd40696df5065 (patch)
tree10f809ed97809e84e4ab64acd3341c68344f038f /localbuild
parent1e31f11c23b8fb48f66f2d2737e602db1a2ef4ba (diff)
Add new ccache-enabling wrapper localbuild.
Diffstat (limited to 'localbuild')
-rwxr-xr-xlocalbuild27
1 files changed, 27 insertions, 0 deletions
diff --git a/localbuild b/localbuild
new file mode 100755
index 0000000..beade30
--- /dev/null
+++ b/localbuild
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# Copyright © 2007-2008 Jonas Smedegaard <dr@jones.dk>
+# Description: Compile Debian package with compile cache
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
+# 02111-1307 USA.
+#
+# Depends: ccache
+
+set -e
+
+export CCACHE_DIR="/var/cache/pbuilder/ccache"
+export PATH="/var/cache/pbuilder/bin:/usr/lib/ccache:/usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/X11"
+"$@"